<template>
	<view>
		<view class="headbgbox flex2">
			<view class="searchbox">
				<u-icon name="search" bold="true" size="25" color="rgb(246,185,78)"></u-icon>
				<input type="text" v-model="keywords" placeholder="请输入关键字搜索" placeholder-style="color:#BBBCBE" @blur="changeSeach"/>
			</view>
			<view class="screen" @click="show = true">
				<text>筛选</text>
				<view style="padding-left: 10rpx;">
					<u-icon name="arrow-down" color="#1F242A" size="14" bold="true"></u-icon>
				</view>
			</view>
		</view>
		<view class="acpcardlist">
			<view class="lable " v-for="(item,index) in listall" :key="index">
				<view class="radiobox" v-if="editall">
					<radio :value="index" :checked="item.checked" color="#D8AB5A" @click="checkBox(item.id)" />
				</view>
				<view class="acpcard" @click="acpDetail(item.id)">
					<view class="allmsg">
						<view class="cicle" v-if="item.isDeleted==0"></view>
						<view class="cicle" v-if="item.isDeleted==1" style="background-color:#D05C39"></view>
						<view class="acpcont">
							<view class="acpname">
								<text>{{item.name}}</text>
								<view class="tag" v-if="item.isDeleted==0">正常</view>
								<view class="tagdel" v-if="item.isDeleted==1">删除</view>
							</view>
							<view class="acpinfo ">
								<text class="pt">账号：{{item.bankAccount}}</text>
								<text class="pt">服务费率：{{item.serviceRate}}%</text>
								<text class="pt">利率：{{item.interest}}%</text>
							</view>

						</view>
					</view>
				</view>
			</view>

		</view>
		<view class="nomore" v-if="listall.length==0">
			<text>暂无数据</text>
		</view>
		<view class="totalmanage " v-if="listall.length>0">
			<text style="color:#68625B;font-size: 28rpx;">合计：{{total}}份</text>
			<view class=" maboxtitls" @click="editall=true">
				<view class="managebox">
					<image src="/static/img/manage.png" mode="aspectFit"></image>
				</view>
				<text style="padding-left: 15rpx;">管理</text>
			</view>
		</view>
		<view class="safebt"></view>
		<view class="plusicon" @click="addAcceptor"></view>
		<u-popup :show="show" @close="close" @open="open">
			<view class="popscreen" style="height: 340rpx;">
				<view class="checklist" v-for="(item,index) in ctrstatus" :key="index">
					<view class="alllistbtn">
						<text class="btntitle" style="">{{item.title}}</text>
						<view class="yunbtn">
							<view class="btnchoose" v-for="(i,k) in item.list" :key="k" @click="choose(item.title,k)"
								:class="[contract_status == k?'active':'btnchoose']">
								<text>{{i.name}}</text>
							</view>
						</view>
					</view>
				</view>
				<view class="aszs flex6">
					<view class="againbtn" @click="restoreALL"><text>重置</text></view>
					<view class="againbtn" style="color: #D8AB5A;border: 1rpx solid #D8AB5A;" @click="makeSureSelect">
						<text>确认</text></view>
				</view>
			</view>
		</u-popup>
		<!-- 底部删除 -->
		<u-popup :show="editall" @close="closeEidt" @open="openEidt" :overlay="false">
			<view class="editbox">
				<view class="chooseall flex6">
					<view class="leftchoose ">
						<radio :checked="quan" @click="makeSureAll" color="#D8AB5A"></radio>
						<text>全选</text>
					</view>
					<view class="surebtn" @click="selectDown">
						完成
					</view>
				</view>
				<view class="choosebtn">
					<view class="delbtn flex1" @click="deleteAcceptor">删除</view>
					<view class="restorebtn flex1" @click="backAcceptor">复原</view>
				</view>
			</view>
		</u-popup>
		<tabar checked="acceptor"></tabar>
	</view>
</template>

<script>
	let that
	import tabar from "@/componet/tabbar/tabbar.vue"
	export default {
		components: {
			tabar
		},
		data() {
			return {
				keywords:'',
				editall: false,
				quan: false,
				show: false,
				contract_status: 0,
				listall: [],
				pageIndex: 1,
				total: '',
				nomore: false,
				statusall: 0,
				ctrstatus: [{
					title: "承兑人状态",
					list: [{
							name: "全部",

						},
						{
							name: "正常",

						},
						{
							name: "已删除",

						},

					]
				}],
			}
		},
		onLoad() {
			that = this
			// this.init()
		},
		onShow() {
			that.pageIndex = 1
			that.nomore = false
			that.listall = []
			this.init()
		},
		// 下拉到底部后加载新数据
		onReachBottom() {
			//判断下一页是否存在数据，不存在将显示暂无数据等提示语
			if (this.listall.length >= this.pageIndex * 10) {
				this.pageIndex++; //页数加一
				this.init(); //回调接口
			} else {
				this.nomore = true
			}

		},
		methods: {
			init() {
				uni.showLoading()
				uni.$u.http.post('/api/Acceptor/search', {
					pageIndex: this.pageIndex,
					pageSize: 10,
					// startTime:'',
					// endTime:'',
					name:this.keywords,
					status: this.statusall,
					// contractNo:''
				}, {
					custom: {
						auth: true
					}
				}).then((res) => {
					uni.hideLoading()
					this.total = res.total

					let list = res.result
					if (list.length > 0) {
						list.forEach(item => {
							item.checked = false
							this.listall.push(item)
						})
						if (list.length < 10) {
							that.nomore = true
						}
					}
				}).catch((err) => {
					uni.hideLoading()
					console.log(err)
				})

			},
			close() {
				this.show = false
			},
			open() {

			},
			changeSeach(e){
				this.keywords=e.detail.value
				that.pageIndex = 1
				that.nomore = false
				that.listall = []
				this.init()
			},
			makeSureSelect() {
				that.pageIndex = 1
				that.nomore = false
				that.listall = []
				this.init()
				this.close()
			},
			restoreALL() {
				this.contract_status = 0
				
			},
			choose(title, k) {
				if (title == "承兑人状态") {
					this.contract_status = k
					if (k == 2) {
						this.statusall = 4
					} else if (k == 1) {
						this.statusall = 5
					} else if (k == 0) {
						this.statusall = 0
					}

				}
			},
			selectDown() {
				this.editall = false
				this.quan = false
				let list = this.listall
				list.forEach(item => {
					item.checked = false
				})
			},
			checkBox(id) {
				let list = this.listall
				list.forEach(item => {
					if (item.id == id) {
						item.checked = !item.checked
					}
				})
				this.listall = JSON.parse(JSON.stringify(list))

			},
			allSelect() {
				let list = this.listall
				if (this.quan) {
					list.forEach(item => {
						item.checked = true
					})
				} else {
					list.forEach(item => {
						item.checked = false
					})
				}
				this.listall = JSON.parse(JSON.stringify(list))
			},
			makeSureAll() {
				this.quan = !this.quan
				this.allSelect()
			},
			closeEidt() {
				this.editall = false
			},
			openEidt() {
				this.editall = true
			},
			acpDetail(id) {
				uni.navigateTo({
					url: "/pages/alldeatil/acptdetail?id=" + id
				})
			},
			addAcceptor() {
				uni.navigateTo({
					url: '/pages/alldeatil/addnewacpt'
				})
			},
			deleteAcceptor() {
				let ids = []
				that.listall.forEach(item => {
					if (item.checked) {
						ids.push(item.id)
					}
				})
				if (ids.length == 0) {
					that.$toast("请选择合同")
					return
				}
				uni.showModal({
					title: '提示',
					content: "是否批量删除？",
					success: function(res) {
						if (res.confirm) {
							uni.showLoading()
							uni.$u.http.post('/api/Acceptor/manager', {
								ids: ids,
								operateType: 1
							}, {
								custom: {
									auth: true
								}
							}).then((res) => {
								uni.hideLoading()
								that.editall = false
								that.quan = false
								that.$toast("操作成功")
								setTimeout(() => {
									that.pageIndex = 1
									that.nomore = false
									that.listall = []
									that.init()
								}, 500)

							}).catch((err) => {
								uni.hideLoading()
								that.$toast(err.msg)
							})

						} else if (res.cancel) {

						}
					}
				})
			},
			backAcceptor() {
				let ids = []
				that.listall.forEach(item => {
					if (item.checked) {
						ids.push(item.id)
					}
				})
				if (ids.length == 0) {
					that.$toast("请选择合同")
					return
				}
				uni.showModal({
					title: '提示',
					content: "是否批量复原？",
					success: function(res) {
						if (res.confirm) {
							uni.showLoading()
							uni.$u.http.post('/api/Acceptor/manager', {
								ids: ids,
								operateType: 2
							}, {
								custom: {
									auth: true
								}
							}).then((res) => {
								uni.hideLoading()
								that.editall = false
								that.quan = false
								that.$toast("操作成功")
								setTimeout(() => {
									that.pageIndex = 1
									that.nomore = false
									that.listall = []
									that.init()
								}, 500)

							}).catch((err) => {
								uni.hideLoading()
								that.$toast(err.msg)
							})

						} else if (res.cancel) {

						}
					}
				})
			}
		}

	}
</script>

<style lang="scss">
	page {
		background-color: #F6F6F6 !important;
	}

	.headbgbox {
		background-color: #fff;
		padding: 23rpx 31rpx;
		box-sizing: border-box;
		position: fixed;
		top: 0;
		z-index: 999;
		width: 100%;

		.screen {
			display: flex;
			justify-content: center;
			align-items: center;
			padding-left: 30rpx;
		}
	}

	.searchbox {
		padding-left: 30rpx;
		box-sizing: border-box;
		background-color: #ECECEC;
		border-radius: 38rpx;
		// width: 688rpx;
		flex: 1;
		height: 75rpx;
		margin: 0 auto;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.acpcardlist {
		margin-top: 140rpx;

		.acpcard {
			flex: 1;
			// width: 690rpx;
			height: 333rpx;
			margin: 0 30rpx;
			// margin-top: 20rpx;
			background-color: #fff;
			border-radius: 20rpx;
			box-shadow: 0px 8rpx 20rpx 1rpx rgba(31, 36, 42, 0.08);

			.allmsg {
				display: flex;
				padding: 40rpx 30rpx;
				box-sizing: border-box;
				width: 100%;

				.cicle {
					width: 28rpx;
					height: 28rpx;
					border-radius: 50%;
					background-color: #D8AB5A;
					margin-top: 8rpx;
				}

				.acpcont {
					margin-left: 20rpx;
					width: 100%;

					.acpname {
						box-sizing: border-box;
						display: flex;
						align-items: center;

						padding-bottom: 30rpx;
						flex-grow: 1;
						width: 100%;
						// width: 572rpx;
						font-size: 42rpx;
						font-weight: 600;

						.tagdel {
							margin-left: 10rpx;
							width: 80rpx;
							height: 36rpx;
							border-radius: 10rpx;
							background-color: rgb(241, 206, 195);
							font-size: 24rpx;
							font-weight: 400;
							color: rgb(213, 109, 77);
							line-height: 36rpx;
							text-align: center;
						}

						.tag {
							margin-left: 10rpx;
							width: 80rpx;
							height: 36rpx;
							border-radius: 10rpx;
							background-color: rgb(232, 222, 203);
							font-size: 24rpx;
							font-weight: 400;
							color: #D8AB5A;
							line-height: 36rpx;
							text-align: center;
						}
					}
				}

				.acpinfo {
					border-top: 1rpx solid #E8E8E8;
					display: flex;
					flex: 1;
					flex-direction: column;
					font-size: 28rpx;
					color: #BEBDBB;
					justify-content: space-between;
					box-sizing: border-box;

					.pt {
						padding-top: 20rpx;
					}
				}
			}
		}
	}

	.totalmanage {
		margin-top: 90rpx;
		margin-bottom: 100rpx;
		// position: fixed;
		bottom: 0;
		display: flex;
		justify-content: space-between;
		align-items: center;
		width: 100%;
		padding: 0 30rpx;
		box-sizing: border-box;

		.managebox {
			width: 23.8rpx;
			height: 29.7rpx;

			image {
				width: 100%;
				height: 100%;
			}
		}

		.maboxtitls {
			width: 160rpx;
			height: 60rpx;
			display: flex;
			align-items: center;
			justify-content: center;
			border-radius: 30rpx;
			background-color: #D9D9D9;
			// line-height: 60rpx;
			font-size: 28rpx;
			box-sizing: border-box;
			// align-items: center;
		}
	}

	.plusicon {
		position: fixed;
		left: 0;
		right: 0;
		margin: 0 auto;
		bottom: 110rpx;
		width: 150rpx;
		height: 150rpx;
		background: url("@/static/img/plusicon.png") no-repeat;
		background-size: 150rpx 150rpx;
	}
</style>
